python-plotly_2.0.14+dfsg-1_all.deb


Advertisement

Description

python-plotly - Python plotting library for publication-quality graphs

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-plotly
Package version 2.0.14+dfsg
Package release 1
Package architecture all
Package type deb
Installed size 7.78 KB
Download size 1.08 MB
Official Mirror archive.ubuntu.com
Python plotting library for collaborative, interactive, publication-quality
graphs. Plotly is an online collaborative data analysis and graphing tool.
The Python API allows you to access all of Plotly's functionality from Python.

Alternatives

Package Version Architecture Repository
python-plotly_2.0.14+dfsg-1_all.deb 2.0.14+dfsg all Ubuntu Universe
python-plotly - - -

Requires

Name Value
python-decorator >= 4.0.6
python-nbformat >= 4.2.0
python-requests >= 2.3.0
python-six >= 1.8.0
python-tz >= 2012c
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-plotly_2.0.14+dfsg-1_all.deb
Source Package plotly

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-plotly deb package:
    # sudo apt-get install python-plotly

Files

Path
/usr/lib/python2.7/dist-packages/plotly/__init__.py
/usr/lib/python2.7/dist-packages/plotly/colors.py
/usr/lib/python2.7/dist-packages/plotly/config.py
/usr/lib/python2.7/dist-packages/plotly/exceptions.py
/usr/lib/python2.7/dist-packages/plotly/files.py
/usr/lib/python2.7/dist-packages/plotly/graph_reference.py
/usr/lib/python2.7/dist-packages/plotly/optional_imports.py
/usr/lib/python2.7/dist-packages/plotly/session.py
/usr/lib/python2.7/dist-packages/plotly/tools.py
/usr/lib/python2.7/dist-packages/plotly/utils.py
/usr/lib/python2.7/dist-packages/plotly/version.py
/usr/lib/python2.7/dist-packages/plotly-2.0.14.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/plotly-2.0.14.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/plotly-2.0.14.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/plotly-2.0.14.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/plotly/api/__init__.py
/usr/lib/python2.7/dist-packages/plotly/api/utils.py
/usr/lib/python2.7/dist-packages/plotly/api/v1/__init__.py
/usr/lib/python2.7/dist-packages/plotly/api/v1/clientresp.py
/usr/lib/python2.7/dist-packages/plotly/api/v1/utils.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/__init__.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/dash_apps.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/dashboards.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/files.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/folders.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/grids.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/images.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/plot_schema.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/plots.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/users.py
/usr/lib/python2.7/dist-packages/plotly/api/v2/utils.py
/usr/lib/python2.7/dist-packages/plotly/dashboard_objs/__init__.py
/usr/lib/python2.7/dist-packages/plotly/dashboard_objs/dashboard_objs.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_2d_density.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/__init__.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_annotated_heatmap.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_candlestick.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_dendrogram.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_distplot.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_facet_grid.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_gantt.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_ohlc.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_quiver.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_scatterplot.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_streamline.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_table.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_trisurf.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/_violin.py
/usr/lib/python2.7/dist-packages/plotly/figure_factory/utils.py
/usr/lib/python2.7/dist-packages/plotly/graph_objs/__init__.py
/usr/lib/python2.7/dist-packages/plotly/graph_objs/graph_objs.py
/usr/lib/python2.7/dist-packages/plotly/graph_objs/graph_objs_tools.py
/usr/lib/python2.7/dist-packages/plotly/grid_objs/__init__.py
/usr/lib/python2.7/dist-packages/plotly/grid_objs/grid_objs.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/__init__.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mpltools.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/renderer.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/__init__.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/_py3k_compat.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/exporter.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/tools.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/utils.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/renderers/__init__.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/renderers/base.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/renderers/fake_renderer.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/renderers/vega_renderer.py
/usr/lib/python2.7/dist-packages/plotly/matplotlylib/mplexporter/renderers/vincent_renderer.py
/usr/lib/python2.7/dist-packages/plotly/offline/__init__.py
/usr/lib/python2.7/dist-packages/plotly/offline/offline.py
/usr/lib/python2.7/dist-packages/plotly/package_data/default-schema.json
/usr/lib/python2.7/dist-packages/plotly/package_data/graphWidget.js
/usr/lib/python2.7/dist-packages/plotly/plotly/__init__.py
/usr/lib/python2.7/dist-packages/plotly/plotly/plotly.py
/usr/lib/python2.7/dist-packages/plotly/plotly/chunked_requests/__init__.py
/usr/lib/python2.7/dist-packages/plotly/plotly/chunked_requests/chunked_request.py
/usr/lib/python2.7/dist-packages/plotly/widgets/__init__.py
/usr/lib/python2.7/dist-packages/plotly/widgets/graph_widget.py
/usr/share/doc/python-plotly/NEWS.Debian.gz
/usr/share/doc/python-plotly/README.rst
/usr/share/doc/python-plotly/changelog.Debian.gz
/usr/share/doc/python-plotly/copyright
/usr/share/python-plotly/plotly.js

Changelog

2017-08-11 - Josue Ortega <josue@debian.org>
plotly (2.0.14+dfsg-1) unstable; urgency=medium
* New upstream release (2.0.14).
* debian/copyright: Fixes debian/* copyright information.
2017-07-10 - Josue Ortega <josue@debian.org>
plotly (2.0.12+dfsg-1) unstable; urgency=medium
* New upstream version (2.0.12)
* Added debian/offline/plotly.js to enable offline mode for plotly
without using a minified file (Closes: #834528).
* debian/copyright: Added copyright information for debian/offline/plotly.js
* Standards-Version updated to 4.0.0:
- debian/copyright: Format URI changed to https mode.
2017-06-02 - Josue Ortega <josue@debian.org>
plotly (2.0.9+dfsg-1) experimental; urgency=medium
* New upstream release (2.0.9)
* debian/control: Adds python{3}-nbformat and python{3}-decorator as
dependency.
* Updates debian/patches/01-removes-install-requires.patch
2017-02-19 - Josue Ortega <josue@debian.org>
plotly (2.0.1+dfsg-1) experimental; urgency=medium
* New upstream release (2.0.1):
- Refreshes debian/patches.
2017-01-18 - Josue Ortega <josue@debian.org>
plotly (1.13.0+dfsg-1) unstable; urgency=medium
* New upstream release (1.13.0):
- Updates debian/repack.
- Refreshes debian/patches.
* debian/control: Adds python-pandas, python-scipy, python-ipykernel to
suggested packages in both versions of the package.
2016-12-11 - Josue Ortega <josue@debian.org>
plotly (1.12.12+dfsg-1) unstable; urgency=medium
* New upstream release (plotly-1.12.12).
* debian/control: Adds ipython{3}, python3-ipywidgets as build-dependency.
See bug #840522 for more information.
* debian/rules: Enables upstream tests.
2016-10-22 - Josue Ortega <josue@debian.org>
plotly (1.12.9+dfsg-2) unstable; urgency=medium
* Closes: #840522:
- Removes(temporarily) build-dependency on ipython-notebook.
- Disables upstream tests.
2016-09-04 - Josue Ortega <josue@debian.org>
plotly (1.12.9+dfsg-1) unstable; urgency=medium
* New upstream release.
2016-08-13 - Josue Ortega <josue@debian.org>
plotly (1.12.6+dfsg-1) unstable; urgency=medium
* New upstream release.
2016-08-07 - Josue Ortega <josue@debian.org>
plotly (1.12.5+dfsg-1) unstable; urgency=medium
* New upstream release.

See Also

Package Description
python-plplot-qt_5.10.0+dfsg2-0.4ubuntu3_i386.deb Scientific plotting library (python qt GUI)
python-plplot_5.10.0+dfsg2-0.4ubuntu3_i386.deb Python support for PLplot, a plotting library
python-pluggy_0.4.0-1_all.deb plugin and hook calling mechanisms for Python
python-plumbum_1.6.3-1_all.deb library for writing shell script-like programs in Python 2
python-plwm_2.6a+20080530-2_all.deb Pointless Window Manager - Python libraries for creating Window Managers
python-pmock_0.3.1+s20140625-3_all.deb Python module for unit testing using mock objects
python-pmw-doc_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
python-pmw_1.3.2-6build1_all.deb Pmw -- Python MegaWidgets
python-png_0.0.18+ds-2_all.deb Pure Python PNG Reader/Writer (Python 2)
python-pocket-lint_0.5.31-0ubuntu1_all.deb composite linter and style checker
python-pocketsphinx_0.8.0+real5prealpha-1ubuntu2_i386.deb Speech recognition tool - python bindings
python-podcastparser-doc_0.6.1-1_all.deb Simplified, fast RSS parsing library (common documentation)
python-podcastparser_0.6.1-1_all.deb Simplified, fast RSS parsing library (Python 2)
python-polib_1.0.8-1_all.deb Python library to parse and manage gettext catalogs
python-polled-camera_1.11.11-2_all.deb Robot OS polled_camera package - Python
Advertisement
Advertisement